#!/bin/sh
# output ascii plot of hashtag evolution generated with extract-memecount.sh

if [ $# -lt 1 ]; then
	printf 'usage: %s <file>\n' "$0" >&2
	exit 1
fi

[ "$2" = "semilog" ] && semilog="set log y"

gnuplot - <<__EOF__
set term dumb
set title "annna meme count (total on $(date +%Y-%m-%d): \
$(awk 'END{print $3+$6+$7}' "$1")) $semilog"
set xdata time
set format x "%Y-%m"
set timefmt "%Y-%m-%d"
set xtics 3600*24*365
set key top left
$semilog
plot '$1' u 1:(\$3+\$6+\$7) w lp t 'total' pt 20,\
	'' u 1:3 w lp t 'memes' pt 13,\
	'' u 1:6 w lp t 'emojis' pt 5,\
	'' u 1:7 w lp t 'filters' pt 6
__EOF__
